<?php
/**
 * This file contains the Plugin Manager configurations.
 *
 * @package Plugin
 * @subpackage Redirect301
 * @author Michael Loy
 * @copyright LOY GmbH <www.loy.info>
 * @license http://www.contenido.org/license/LIZENZ.txt
 * @link https://www.loy.info
 * @link http://www.contenido.org
 */

defined('CON_FRAMEWORK') || die('Illegal call: Missing framework initialization - request aborted.');

global $cfg;

// extend the $cfg array with the table name if the table name has not been
// defined yet
if (!isset($cfg['tab']['redirect301']['redirect'])) {
    $cfg['tab']['redirect301']['redirect'] = $cfg['sql']['sqlprefix'] . '_redirect301';
}



// include plugin classes
plugin_include('redirect301', 'classes/class.redirect301.php');

// include plugin includes

// missing here --> future backend edit functions
//plugin_include('redirect301', 'includes/functions.redirect301.php');

//$lngAct["redirect301"]["redirect301_delete"] = i18n("Delete Redirect", "redirect301");
//$lngAct["redirect301"]["redirect301_edit"] = i18n("Edit Redirect", "redirect301");

// add chain functions
$cecRegistry = cApiCecRegistry::getInstance();



// hook as soon as possible, so that short URLs can be resolved early
$cecRegistry->addChainFunction('Contenido.Frontend.AfterInitializeVariables', 'redirect301AfterInitializeVariables');
